

#include "BUILTIN.h"

#include "Nat.h"

#include "Char.h"

#include "Denotation.h"
extern OBJ _ACom_23(OBJ);extern OBJ __ACom_23;
extern OBJ _ACom_25(OBJ);extern OBJ __ACom_25;
extern OBJ _AComCompose_3(OBJ,OBJ);extern OBJ __AComCompose_3;
extern OBJ _AControl_3(OBJ,OBJ,OBJ);extern OBJ __AControl_3;

#include "CharConv.h"
extern OBJ _AProcessArgs_7(OBJ);extern OBJ __AProcessArgs_7;

#include "Int.h"
OBJ __ALineFormat_1; /* # */
extern OBJ _ALineFormat_2(OBJ);OBJ __ALineFormat_2; /* repeat */
extern OBJ _ALineFormat_3(OBJ,OBJ);OBJ __ALineFormat_3; /* repeat,1 */
OBJ __ALineFormat_4; /* --- */
extern OBJ _ALineFormat_5(OBJ);OBJ __ALineFormat_5; /* ---,1 */
extern OBJ _ALineFormat_6(OBJ);OBJ __ALineFormat_6; /* center */
extern OBJ _ALineFormat_7(OBJ,OBJ);OBJ __ALineFormat_7; /* center,1 */
extern OBJ _ALineFormat_8(OBJ,OBJ);OBJ __ALineFormat_8; /* center,2 */
extern OBJ _ALineFormat_9(OBJ,OBJ,OBJ);OBJ __ALineFormat_9; /* center,3 */
extern OBJ _ALineFormat_10(OBJ,OBJ);OBJ __ALineFormat_10; /* center,4 */
extern OBJ _ALineFormat_11(OBJ,OBJ,OBJ);OBJ __ALineFormat_11; /* center,5 */
extern OBJ _ALineFormat_12(OBJ,OBJ,OBJ);OBJ __ALineFormat_12; /* surround */
extern OBJ _ALineFormat_13(OBJ,OBJ,OBJ,OBJ);OBJ __ALineFormat_13; /* surround,1 */
extern OBJ _ALineFormat_14(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ALineFormat_14; /* box */
extern OBJ _ALineFormat_15(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ALineFormat_15; /* box,1 */
extern OBJ _ALineFormat_16(OBJ);OBJ __ALineFormat_16; /* box,2 */
extern OBJ _ALineFormat_17(OBJ,OBJ);OBJ __ALineFormat_17; /* box,3 */
extern OBJ _ALineFormat_18(OBJ,OBJ);OBJ __ALineFormat_18; /* repeat,1'18 */
extern OBJ _ALineFormat_19(OBJ,OBJ);OBJ __ALineFormat_19; /* repeat,1'19 */
OBJ __ALineFormat_20; /* ---,1'20 */
extern OBJ _ALineFormat_21(OBJ);OBJ __ALineFormat_21; /* ---,1'21 */
OBJ __ALineFormat_22; /* center'22 */
OBJ __ALineFormat_23; /* box,1'23 */
extern OBJ _ALineFormat_24(OBJ);OBJ __ALineFormat_24; /* box,1'24 */
OBJ __ALineFormat_25; /* box,3'25 */
extern OBJ _ALineFormat_26(OBJ);OBJ __ALineFormat_26; /* box,3'26 */
extern OBJ _ALineFormat_27(OBJ);OBJ __ALineFormat_27; /* box,3'27 */
OBJ __ALineFormat_28; /* box,3'28 */
extern OBJ _ALineFormat_29(OBJ);OBJ __ALineFormat_29; /* box,3'29 */
OBJ __ALineFormat_30; /* #'30 */
extern OBJ _ALineFormat_31(OBJ);OBJ __ALineFormat_31; /* #'31 */

extern OBJ _ALineFormat_2(OBJ x1) /* repeat */
{OBJ r;
 r=_ALineFormat_3(__ALineFormat_1,x1);
 return r;}

extern OBJ _ALineFormat_3(OBJ x1,OBJ x2) /* repeat,1 */
{OBJ r;
 {OBJ x3;
  ANat_6(x1,x3);
  if(ISTGPRM(x3,1)){
   FRPRD(x2,1);
   CPPRD(__ADenotation_3,1);
   r=__ADenotation_3;
  }else{
   CPPRD(x2,1);
   CPCLS(__ALineFormat_18,1);
   CPCLS(__ALineFormat_19,1);
   {OBJ x4;OBJ x5;OBJ x6;OBJ x7;
    ANat_4(x1,x4);
    x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_18,1))(__ALineFormat_18,x2);
    x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_19,1))(__ALineFormat_19,x1);
    x7=_AControl_3(x6,x5,x2);
    ADenotation_11(x7,__ANat_5,x4,r);}}}
 return r;}

extern OBJ _ALineFormat_5(OBJ x1) /* ---,1 */
{OBJ r;
 CPCLS(__ALineFormat_21,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_21,1))(__ALineFormat_21,__ABUILTIN_20);
  ADenotation_1(x1,x2,r);}
 return r;}

extern OBJ _ALineFormat_6(OBJ x1) /* center */
{OBJ r;
 CPPRD(__ALineFormat_22,1);
 r=_ALineFormat_11(__ALineFormat_1,__ALineFormat_22,x1);
 return r;}

extern OBJ _ALineFormat_7(OBJ x1,OBJ x2) /* center,1 */
{OBJ r;
 CPPRD(__ALineFormat_22,1);
 r=_ALineFormat_11(x1,__ALineFormat_22,x2);
 return r;}

extern OBJ _ALineFormat_8(OBJ x1,OBJ x2) /* center,2 */
{OBJ r;
 r=_ALineFormat_9(__ALineFormat_1,x1,x2);
 return r;}

extern OBJ _ALineFormat_9(OBJ x1,OBJ x2,OBJ x3) /* center,3 */
{OBJ r;
 {OBJ x4;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  ANat_6(x1,x4);
  if(ISTGPRM(x4,1)){
   FRPRD(x3,1);
   CPPRD(__ADenotation_3,1);
   x6=__ADenotation_3;
  }else{
   {OBJ x5;
    ANat_4(x1,x5);
    ADenotation_11(x3,__ANat_5,x5,x6);}}
  CPPRD(x6,1);
  ADenotation_15(x6,x7);
  ANat_62(x1,x7,x8);
  ANat_89(x8,__ANat_9,x9);
  ANat_62(x8,x9,x10);
  ADenotation_1(x9,x2,x11);
  ADenotation_1(x10,x2,x12);
  ADenotation_4(x6,x12,x13);
  ADenotation_4(x11,x13,r);}
 return r;}

extern OBJ _ALineFormat_10(OBJ x1,OBJ x2) /* center,4 */
{OBJ r;
 r=_ALineFormat_11(__ALineFormat_1,x1,x2);
 return r;}

extern OBJ _ALineFormat_11(OBJ x1,OBJ x2,OBJ x3) /* center,5 */
{OBJ r;
 {OBJ x4;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  ANat_6(x1,x4);
  if(ISTGPRM(x4,1)){
   FRPRD(x3,1);
   CPPRD(x2,1);
   CPPRD(__ADenotation_3,1);
   x6=__ADenotation_3;
  }else{
   CPPRD(x2,1);
   {OBJ x5;
    ANat_4(x1,x5);
    ADenotation_11(x3,__ANat_5,x5,x6);}}
  CPPRD(x6,1);
  ADenotation_15(x6,x7);
  ANat_62(x1,x7,x8);
  ANat_89(x8,__ANat_9,x9);
  ANat_62(x8,x9,x10);
  x11=_ALineFormat_3(x9,x2);
  x12=_ALineFormat_3(x10,x2);
  ADenotation_4(x6,x12,x13);
  ADenotation_4(x11,x13,r);}
 return r;}

extern OBJ _ALineFormat_12(OBJ x1,OBJ x2,OBJ x3) /* surround */
{OBJ r;
 r=_ALineFormat_13(__ALineFormat_1,x1,x2,x3);
 return r;}

extern OBJ _ALineFormat_13(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* surround,1 */
{OBJ r;
 CPPRD(x2,1);
 CPPRD(x3,1);
 CPPRD(x4,1);
 {OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x18;OBJ x19;
  ADenotation_15(x4,x5);
  ADenotation_15(x2,x6);
  ADenotation_15(x3,x7);
  ANat_61(x5,x6,x8);
  ANat_61(x8,x7,x9);
  ANat_81(x9,x1,x10);
  if(ISTGPRM(x10,1)){
   {OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;
    ANat_62(x9,x1,x11);
    ANat_89(x11,__ANat_9,x12);
    ANat_62(x11,x12,x13);
    ANat_62(x5,x13,x14);
    ANat_62(x14,__ANat_8,x15);
    ADenotation_11(x4,x12,x15,x18);}
  }else{
   CPPRD(__ALineFormat_22,1);
   {OBJ x16;OBJ x17;
    ANat_62(x1,x6,x16);
    ANat_62(x16,x7,x17);
    x18=_ALineFormat_11(x17,__ALineFormat_22,x4);}}
  ADenotation_4(x18,x3,x19);
  ADenotation_4(x2,x19,r);}
 return r;}

extern OBJ _ALineFormat_14(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9) /* box */
{OBJ r;
 r=_ALineFormat_15(__ALineFormat_1,x1,x2,x3,x4,x5,x6,x7,x8,x9);
 return r;}

extern OBJ _ALineFormat_15(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10) /* box,1 */
{OBJ r;
 CPPRD(__ALineFormat_22,1);
 CPCLS(__ALineFormat_24,1);
 CPPRD(__ADenotation_3,2);
 {OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;OBJ x21;OBJ x22;OBJ x23;OBJ x24;OBJ x25;OBJ x26;OBJ x27;OBJ x28;OBJ x29;OBJ x30;
  x11=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_24,1))(__ALineFormat_24,__ABUILTIN_20);
  CPCLS(x11,4);
  ADenotation_1(__ANat_8,x7,x12);
  ADenotation_1(__ANat_8,x9,x13);
  ADenotation_1(__ANat_8,x8,x14);
  ADenotation_1(__ANat_8,x5,x15);
  CPPRD(x15,1);
  ADenotation_1(__ANat_8,x6,x16);
  CPPRD(x16,1);
  x17=_ALineFormat_11(x1,__ALineFormat_22,x10);
  ADenotation_1(__ANat_8,x2,x18);
  ADenotation_1(__ANat_8,x4,x19);
  ADenotation_1(__ANat_8,x3,x20);
  x21=_ALineFormat_3(x1,x14);
  x22=_ALineFormat_13(x1,x15,x16,x17);
  x23=_ALineFormat_13(x1,x15,x16,__ADenotation_3);
  CPPRD(x23,1);
  x24=_ALineFormat_3(x1,x20);
  x25=_ALineFormat_13(x1,x12,x13,x21);
  x26=_ALineFormat_13(x1,x18,x19,x24);
  x27=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x11,2))(x11,x25,__ADenotation_3);
  x28=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x11,2))(x11,x23,x27);
  x29=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x11,2))(x11,x22,x28);
  x30=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x11,2))(x11,x23,x29);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x11,2))(x11,x26,x30);}
 return r;}

extern OBJ _ALineFormat_16(OBJ x1) /* box,2 */
{OBJ r;
 r=_ALineFormat_17(__ALineFormat_1,x1);
 return r;}

extern OBJ _ALineFormat_17(OBJ x1,OBJ x2) /* box,3 */
{OBJ r;
 CPCLS(__ALineFormat_26,1);
 CPCLS(__ALineFormat_27,1);
 CPCLS(__ALineFormat_29,1);
 {OBJ x3;OBJ x4;OBJ x5;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_26,1))(__ALineFormat_26,__ABUILTIN_20);
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_27,1))(__ALineFormat_27,__ABUILTIN_20);
  x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALineFormat_29,1))(__ALineFormat_29,__ABUILTIN_20);
  r=_ALineFormat_15(x1,x3,x4,x3,x5,x5,x3,x4,x3,x2);}
 return r;}

extern OBJ _ALineFormat_18(OBJ x1,OBJ x2) /* repeat,1'18 */
{OBJ r;
 ADenotation_4(x2,x1,r);
 return r;}

extern OBJ _ALineFormat_19(OBJ x1,OBJ x2) /* repeat,1'19 */
{OBJ r;
 {OBJ x3;
  ADenotation_15(x2,x3);
  ANat_80(x3,x1,r);}
 return r;}

extern OBJ _ALineFormat_21(OBJ x1) /* ---,1'21 */
{OBJ r;
 CPPRD(__ALineFormat_20,1);
 AChar_32(__ALineFormat_20,r);
 return r;}

extern OBJ _ALineFormat_24(OBJ x1) /* box,1'24 */
{OBJ r;
 CPPRD(__ALineFormat_23,1);
 CPCLS(__ADenotation_8,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ADenotation_8,1))(__ADenotation_8,__ALineFormat_23);
 return r;}

extern OBJ _ALineFormat_26(OBJ x1) /* box,3'26 */
{OBJ r;
 CPPRD(__ALineFormat_25,1);
 AChar_32(__ALineFormat_25,r);
 return r;}

extern OBJ _ALineFormat_27(OBJ x1) /* box,3'27 */
{OBJ r;
 CPPRD(__ALineFormat_20,1);
 AChar_32(__ALineFormat_20,r);
 return r;}

extern OBJ _ALineFormat_29(OBJ x1) /* box,3'29 */
{OBJ r;
 CPPRD(__ALineFormat_28,1);
 AChar_32(__ALineFormat_28,r);
 return r;}

extern OBJ _ALineFormat_31(OBJ x1) /* #'31 */
{OBJ r;
 {OBJ x4;OBJ x9;
  if(ISTGPRD(x1,0)){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   {OBJ x8;
    if(ISTGPRD(x1,0)){
     {OBJ x5=FLD(x1,1);
      if(EXPRD(x1,1)){
       x8=x5;
       DSPRDF(x1);
      }else{
       CPPRD(x5,1);
       x8=x5;
       FRPRD(x1,1);}}
    }else{
     HLT("Com at <unknown> : undefined selection data\'Com:ans->data");}
    x9=inline_opal_nat(x8);}
  }else{
   FRPRD(x1,1);
   x9=inline_c_nat((NAT)(80));}
  r=_ACom_23(x9);}
 return r;}

static void ___ALineFormat_1()
{
 CPPRD(__ALineFormat_30,1);
 CPCLS(__ALineFormat_31,1);
 {OBJ x1;OBJ x2;
  x1=_AProcessArgs_7(__ALineFormat_30);
  x2=_AComCompose_3(x1,__ALineFormat_31);
  __ALineFormat_1=_ACom_25(x2);}}

static void ___ALineFormat_4()
{
 CPPRD(__ALineFormat_20,1);
 {OBJ x1;
  AChar_32(__ALineFormat_20,x1);
  ADenotation_1(__ALineFormat_1,x1,__ALineFormat_4);}}

static OBJ _mt_1_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 {OBJ t4;
  DCCLS(t,1);
  t4=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(t4,2))(t4,t2,t3);}
 return r;}

static OBJ _mt_4_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,1);
 FLDCLS(r,1)=t1;
 return r;}

static OBJ _mt_4_1_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  COPY(FLDCLS(r,1),1);}
 INCCLS(r,1,2);
 FLDCLS(r,2)=t1;
 FLDCLS(r,3)=t2;
 return r;}

static OBJ _mt_4_1_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),t1,t2,t3);
 return r;}

static OBJ _mt_9_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,3);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 return r;}

static OBJ _mt_9_0_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,5);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 return r;}

static OBJ _mt_9_0_8(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,8);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 return r;}

static OBJ _mt_9_0_9(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9);
 return r;}

static OBJ _mt_9_3_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);}
 INCCLS(r,3,2);
 FLDCLS(r,4)=t1;
 FLDCLS(r,5)=t2;
 return r;}

static OBJ _mt_9_3_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);}
 INCCLS(r,3,5);
 FLDCLS(r,4)=t1;
 FLDCLS(r,5)=t2;
 FLDCLS(r,6)=t3;
 FLDCLS(r,7)=t4;
 FLDCLS(r,8)=t5;
 return r;}

static OBJ _mt_9_3_6(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),t1,t2,t3,t4,t5,t6);
 return r;}

static OBJ _mt_9_5_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  FLDCLS(r,4)=FLDCLS(t,4);
  FLDCLS(r,5)=FLDCLS(t,5);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);
  COPY(FLDCLS(r,4),1);
  COPY(FLDCLS(r,5),1);}
 INCCLS(r,5,3);
 FLDCLS(r,6)=t1;
 FLDCLS(r,7)=t2;
 FLDCLS(r,8)=t3;
 return r;}

static OBJ _mt_9_5_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1,t2,t3,t4);
 return r;}

static OBJ _mt_9_8_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),t1);
 return r;}
static OBJ _mt_9_8_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;FLDCLS(t,6)=NIL;FLDCLS(t,7)=NIL;FLDCLS(t,8)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

static OBJ _mt_10_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,1);
 FLDCLS(r,1)=t1;
 return r;}

static OBJ _mt_10_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,4);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 return r;}

static OBJ _mt_10_0_6(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,6);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 return r;}

static OBJ _mt_10_0_9(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,9);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 return r;}

static OBJ _mt_10_0_10(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10);
 return r;}

static OBJ _mt_10_1_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  COPY(FLDCLS(r,1),1);}
 INCCLS(r,1,3);
 FLDCLS(r,2)=t1;
 FLDCLS(r,3)=t2;
 FLDCLS(r,4)=t3;
 return r;}

static OBJ _mt_10_1_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  COPY(FLDCLS(r,1),1);}
 INCCLS(r,1,5);
 FLDCLS(r,2)=t1;
 FLDCLS(r,3)=t2;
 FLDCLS(r,4)=t3;
 FLDCLS(r,5)=t4;
 FLDCLS(r,6)=t5;
 return r;}

static OBJ _mt_10_1_8(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  COPY(FLDCLS(r,1),1);}
 INCCLS(r,1,8);
 FLDCLS(r,2)=t1;
 FLDCLS(r,3)=t2;
 FLDCLS(r,4)=t3;
 FLDCLS(r,5)=t4;
 FLDCLS(r,6)=t5;
 FLDCLS(r,7)=t6;
 FLDCLS(r,8)=t7;
 FLDCLS(r,9)=t8;
 return r;}

static OBJ _mt_10_1_9(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),t1,t2,t3,t4,t5,t6,t7,t8,t9);
 return r;}

static OBJ _mt_10_4_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  FLDCLS(r,4)=FLDCLS(t,4);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);
  COPY(FLDCLS(r,4),1);}
 INCCLS(r,4,2);
 FLDCLS(r,5)=t1;
 FLDCLS(r,6)=t2;
 return r;}

static OBJ _mt_10_4_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  FLDCLS(r,4)=FLDCLS(t,4);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);
  COPY(FLDCLS(r,4),1);}
 INCCLS(r,4,5);
 FLDCLS(r,5)=t1;
 FLDCLS(r,6)=t2;
 FLDCLS(r,7)=t3;
 FLDCLS(r,8)=t4;
 FLDCLS(r,9)=t5;
 return r;}

static OBJ _mt_10_4_6(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),t1,t2,t3,t4,t5,t6);
 return r;}

static OBJ _mt_10_6_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  FLDCLS(r,4)=FLDCLS(t,4);
  FLDCLS(r,5)=FLDCLS(t,5);
  FLDCLS(r,6)=FLDCLS(t,6);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);
  COPY(FLDCLS(r,4),1);
  COPY(FLDCLS(r,5),1);
  COPY(FLDCLS(r,6),1);}
 INCCLS(r,6,3);
 FLDCLS(r,7)=t1;
 FLDCLS(r,8)=t2;
 FLDCLS(r,9)=t3;
 return r;}

static OBJ _mt_10_6_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),t1,t2,t3,t4);
 return r;}

static OBJ _mt_10_9_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),t1);
 return r;}
static OBJ _mt_10_9_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;FLDCLS(t,6)=NIL;FLDCLS(t,7)=NIL;FLDCLS(t,8)=NIL;FLDCLS(t,9)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

init_ALineFormat()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_AChar();
 init_ADenotation();
 init_ACom();
 init_AComCompose();
 init_AControl();
 init_ACharConv();
 init_AProcessArgs();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_AInt();
 init_ASeqMap();
 init_AEQUALITY();
 CLS(1,_ALineFormat_31,__ALineFormat_31);
 DEN("COLUMNS",__ALineFormat_30);
 LCLS(1,_ALineFormat_29,__ALineFormat_29);
 DEN("|",__ALineFormat_28);
 LCLS(1,_ALineFormat_27,__ALineFormat_27);
 LCLS(1,_ALineFormat_26,__ALineFormat_26);
 DEN("+",__ALineFormat_25);
 LCLS(1,_ALineFormat_24,__ALineFormat_24);
 DEN("\n",__ALineFormat_23);
 DEN(" ",__ALineFormat_22);
 LCLS(1,_ALineFormat_21,__ALineFormat_21);
 DEN("-",__ALineFormat_20);
 CLS(2,_ALineFormat_19,__ALineFormat_19);
 CLS(2,_ALineFormat_18,__ALineFormat_18);
 CLS(2,_ALineFormat_17,__ALineFormat_17);
 CLS(1,_ALineFormat_16,__ALineFormat_16);
 CLS(10,_ALineFormat_15,__ALineFormat_15);
 CLS(9,_ALineFormat_14,__ALineFormat_14);
 CLS(4,_ALineFormat_13,__ALineFormat_13);
 CLS(3,_ALineFormat_12,__ALineFormat_12);
 CLS(3,_ALineFormat_11,__ALineFormat_11);
 CLS(2,_ALineFormat_10,__ALineFormat_10);
 CLS(3,_ALineFormat_9,__ALineFormat_9);
 CLS(2,_ALineFormat_8,__ALineFormat_8);
 CLS(2,_ALineFormat_7,__ALineFormat_7);
 CLS(1,_ALineFormat_6,__ALineFormat_6);
 CLS(1,_ALineFormat_5,__ALineFormat_5);
 CLS(2,_ALineFormat_3,__ALineFormat_3);
 CLS(1,_ALineFormat_2,__ALineFormat_2);
 MTH(1,0,3,_mt_1_0_3);LZYMTH(1,0,3,_mt_1_0_3);
 MTH(4,0,1,_mt_4_0_1);LZYMTH(4,0,1,_mt_4_0_1);
 MTH(4,1,2,_mt_4_1_2);LZYMTH(4,1,2,_mt_4_1_2);
 MTH(4,1,3,_mt_4_1_3);LZYMTH(4,1,3,_mt_4_1_3);
 MTH(9,0,3,_mt_9_0_3);LZYMTH(9,0,3,_mt_9_0_3);
 MTH(9,0,5,_mt_9_0_5);LZYMTH(9,0,5,_mt_9_0_5);
 MTH(9,0,8,_mt_9_0_8);LZYMTH(9,0,8,_mt_9_0_8);
 MTH(9,0,9,_mt_9_0_9);LZYMTH(9,0,9,_mt_9_0_9);
 MTH(9,3,2,_mt_9_3_2);LZYMTH(9,3,2,_mt_9_3_2);
 MTH(9,3,5,_mt_9_3_5);LZYMTH(9,3,5,_mt_9_3_5);
 MTH(9,3,6,_mt_9_3_6);LZYMTH(9,3,6,_mt_9_3_6);
 MTH(9,5,3,_mt_9_5_3);LZYMTH(9,5,3,_mt_9_5_3);
 MTH(9,5,4,_mt_9_5_4);LZYMTH(9,5,4,_mt_9_5_4);
 MTH(9,8,1,_mt_9_8_1);LZYMTH(9,8,1,_mt_9_8_1_l);
 MTH(10,0,1,_mt_10_0_1);LZYMTH(10,0,1,_mt_10_0_1);
 MTH(10,0,4,_mt_10_0_4);LZYMTH(10,0,4,_mt_10_0_4);
 MTH(10,0,6,_mt_10_0_6);LZYMTH(10,0,6,_mt_10_0_6);
 MTH(10,0,9,_mt_10_0_9);LZYMTH(10,0,9,_mt_10_0_9);
 MTH(10,0,10,_mt_10_0_10);LZYMTH(10,0,10,_mt_10_0_10);
 MTH(10,1,3,_mt_10_1_3);LZYMTH(10,1,3,_mt_10_1_3);
 MTH(10,1,5,_mt_10_1_5);LZYMTH(10,1,5,_mt_10_1_5);
 MTH(10,1,8,_mt_10_1_8);LZYMTH(10,1,8,_mt_10_1_8);
 MTH(10,1,9,_mt_10_1_9);LZYMTH(10,1,9,_mt_10_1_9);
 MTH(10,4,2,_mt_10_4_2);LZYMTH(10,4,2,_mt_10_4_2);
 MTH(10,4,5,_mt_10_4_5);LZYMTH(10,4,5,_mt_10_4_5);
 MTH(10,4,6,_mt_10_4_6);LZYMTH(10,4,6,_mt_10_4_6);
 MTH(10,6,3,_mt_10_6_3);LZYMTH(10,6,3,_mt_10_6_3);
 MTH(10,6,4,_mt_10_6_4);LZYMTH(10,6,4,_mt_10_6_4);
 MTH(10,9,1,_mt_10_9_1);LZYMTH(10,9,1,_mt_10_9_1_l);
 ___ALineFormat_1();
 ___ALineFormat_4();}

